stages:
  - lint
  - test

run-tests:
  stage: test
  image: code.ungleich.ch:5050/uncloud/uncloud/uncloud-ci:latest
  services:
    - postgres:latest
  variables:
    DATABASE_HOST: postgres
    DATABASE_USER: postgres
    POSTGRES_HOST_AUTH_METHOD: trust
  coverage: /^TOTAL.+?(\d+\%)$/
  script:
    - pip install -r requirements.txt
    - coverage run --source='.' ./manage.py test
    - coverage report
